import java.util.Objects;

public class Circle {
    private int radius;

    public Circle(int radius) {
        this.radius = radius;
    }

    public int getRadius() {
        return radius;
    }

    public double calculatePerimeter(){
        return 2*3.14*radius;
    }

    public double calculateArea(){
        return 3.14*radius*radius;
    }

    public void draw(){
        System.out.println("Type: Circle\nPerimeter: "+calculatePerimeter()+"\nArea: "+calculateArea());
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof Circle)) return false;
        Circle circle = (Circle) o;
        return getRadius() == circle.getRadius();
    }

    @Override
    public int hashCode() {
        return Objects.hash(getRadius());
    }

    @Override
    public String toString() {
        return "Type: Circle\nRadius: "+radius;
    }
}
